Name:           simspark
Version:        0.2.1
Release:        4%{?dist}
Summary:        Spark physical simulation system

Group:          Development/Libraries
License:        GPLv2
URL:            http://simspark.sourceforge.net
Source0:        http://downloads.sourceforge.net/simspark/%{name}-%{version}.tar.gz
Patch0:         %{name}-confscript-mlibfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake boost-devel ruby ruby-devel SDL-devel tex(latex)
BuildRequires:  ode-devel libGL-devel DevIL-devel freetype-devel libGLU-devel
BuildRequires:  ImageMagick
Conflicts:      rcssserver3d < 0.6.1
Requires:       ruby ruby(abi) = 1.8
Requires:       dejavu-sans-mono-fonts

%description
Spark is a physical simulation system. The primary purpose of this system is
to provide a *generic* simulator for different kinds of simulations.
In these simulations, agents can participate as external processes. 

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       boost-devel ruby-devel ode-devel DevIL-devel
Requires:       libGL-devel libGLU-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .mlibfix

%build
mkdir build
cd build
export CXXFLAGS="${CXXFLAGS:-%optflags}"
export CFLAGS="${CFLAGS:-%optflags}"
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIBDIR:PATH=%{_lib} ..
make VERBOSE=1 %{?_smp_mflags}
make pdf
cp doc/devel/manual.pdf ../doc/devel/

%install
rm -rf %{buildroot}
make -C build install DESTDIR=%{buildroot}

ln -fs %{_datadir}/fonts/dejavu/DejaVuSansMono.ttf \
      %{buildroot}/%{_datadir}/%{name}/fonts/VeraMono.ttf
rm -rf %{buildroot}/%{_datadir}/%{name}/*.h

mkdir package_docs
mv %{buildroot}/%{_datadir}/doc/%{name}/* package_docs/
rm -rf %{buildroot}/%{_datadir}/doc

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc package_docs/*
%dir %{_libdir}/%{name}
# Notice: the package needs .so files for running so
# they can't be moved to -devel package
%{_libdir}/%{name}/[^l]*.so*
%{_libdir}/%{name}/lib*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_bindir}/*
%{_includedir}/%{name}
%{_libdir}/%{name}/lib*.so
%doc doc/devel/howtos doc/devel/manual.pdf

%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 08 2010 Hedayat Vatankhah <hedayat.fwd+rpmchlog@gmail.com> - 0.2.1-3
- Rebuilt to fix crashing in multi-threaded mode
- Replacing an old address in changelog comments

* Wed Aug 04 2010 Hedayat Vatankhah <hedayat@grad.com> - 0.2.1-2
- Rebuild for the new boost
- Fixed multilib conflict in config scripts (rh #507983)

* Wed Jun 09 2010 Hedayat Vatankhah <hedayat@grad.com> - 0.2.1-1
- New upstream version 0.2.1
- Removed conditional for F10 and before

* Tue Jan 19 2010 Hedayat Vatankhah <hedayat@grad.com> 0.2-1
- Updated to latest upstream release 0.2

* Mon Aug 10 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1.2-1
- Updated to latest upstream release 0.1.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Hedayat Vatanlhah <hedayat@grad.com> 0.1-4
- Rebuild for boost 1.39

* Wed Mar 18 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-3
- fixed lib directory variable for cmake

* Thu Mar 17 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-2
- Added cmake and DevIL patches
- Removed redundant gcc-c++ requirement
- Add verbose output for make
- Added CXXFLAGS
- Font package name fix for different distros

* Thu Feb 19 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-1
- Some cleanup
- fixed package documentation installation
- added tex(latex) and ImageMagic as a build requirement

* Fri Feb 13 2009 Hedayat Vatankhah <hedayat@grad.com> 0.1-1
- Initial version
